//+------------------------------------------------------------------+
//| Magnified Market Price.mq4        ver1.4             by Habeeb   |
//+------------------------------------------------------------------+
#property indicator_chart_window
//----
  extern string note1="Change font colors automatically? True = Yes";
  extern bool   Bid_Ask_Colors=false;
  extern string note2="Default Font Color";
  extern color  FontColor=Black;
  extern string note3="Font Size";
  extern int    FontSize=18;
  extern string note4="Font Type";
  extern string FontType="Arial";
  extern string note5="Display the price in what corner?";
  extern string note6="Upper left=0; Upper right=1";
  extern string note7="Lower left=2; Lower right=3";
  extern int    WhatCorner=1;
//----
  double        Old_Price;
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int init()
  {
   return(0);
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int deinit()
  {
   ObjectDelete("[MPL]_Market_Price_Label_Base");
   ObjectDelete("[MPL]_Market_Price_Label_Pip");
   ObjectDelete("[MPL]_Market_Price_Label_Dec");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int start()
  {
   if (Bid_Ask_Colors==True)
     {
      if (Bid > Old_Price) FontColor=LawnGreen;
      if (Bid < Old_Price) FontColor=Red;
      Old_Price=Bid;
     }
   string Market_Price = DoubleToStr(Bid, Digits);
   int len = StringLen(Market_Price) - 1;
   string Market_Price_Base = StringSubstr(Market_Price, 0, len-2);
   string Market_Price_Dec = StringSubstr(Market_Price, len, 1);
   string Market_Price_Pip = StringSubstr(Market_Price, len-2, 2);
//----   
   ObjectCreate("[MPL]_Market_Price_Label_Base", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("[MPL]_Market_Price_Label_Base", Market_Price_Base, FontSize*0.7, FontType, FontColor);
   ObjectSet("[MPL]_Market_Price_Label_Base", OBJPROP_CORNER, WhatCorner);
   ObjectSet("[MPL]_Market_Price_Label_Base", OBJPROP_XDISTANCE, FontSize*3);
   ObjectSet("[MPL]_Market_Price_Label_Base", OBJPROP_YDISTANCE, 90+2);
//----   
   ObjectCreate("[MPL]_Market_Price_Label_Pip", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("[MPL]_Market_Price_Label_Pip", Market_Price_Pip, FontSize, FontType, FontColor);
   ObjectSet("[MPL]_Market_Price_Label_Pip", OBJPROP_CORNER, WhatCorner);
   ObjectSet("[MPL]_Market_Price_Label_Pip", OBJPROP_XDISTANCE, 25);
   ObjectSet("[MPL]_Market_Price_Label_Pip", OBJPROP_YDISTANCE, 90);
//----   
   ObjectCreate("[MPL]_Market_Price_Label_Dec", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("[MPL]_Market_Price_Label_Dec", Market_Price_Dec, FontSize*0.5, FontType, FontColor);
   ObjectSet("[MPL]_Market_Price_Label_Dec", OBJPROP_CORNER, WhatCorner);
   ObjectSet("[MPL]_Market_Price_Label_Dec", OBJPROP_XDISTANCE, 17);
   ObjectSet("[MPL]_Market_Price_Label_Dec", OBJPROP_YDISTANCE, FontSize+73);
  }
//+------------------------------------------------------------------+

